#pragma once

#include "Widget.h"

#include <string>

class Label : public Widget
{

public:

    Label();

    static std::unique_ptr<Label> Create();

    void setLabel(const std::string& text);

    void onPaintEvent(const PaintEvent* event) override;

private:
    std::string mLabel;

};

using LabelUPtr = std::unique_ptr<Label>;
