#pragma once

#include "Point.h"

class Node
{
public:
    Node(const Point& p, unsigned index = 0);

    static std::unique_ptr<Node> Create(const Point& p, unsigned index = 0);

    ~Node();

    unsigned getIndex() const;

    void updateIndex(unsigned index);

    const Point& getPoint() const
    {
        return mPoint;
    }

private:
    unsigned mIndex{0};
    Point mPoint;
};
